<template>
  <b-card no-body class="border-0 m-0">
    <!-- Image principale -->
    <b-card-img :src="urlFTP + 'tn/tn1-' + moduleContent.data.image1" alt="Image" class="rounded"></b-card-img>
    <div class="card border-0">
      <!-- Titre de l'actu-->
      <b-card-body :title="moduleContent.data.titre1" class="p-4" v-if="moduleContent.data.titre1">
        <!-- Descriptif -->
        <b-card-text v-if="moduleContent.data.description1"> {{ moduleContent.data.description1 | cleanHtml() | str_limit(limit) }} </b-card-text>
        <b-button pill variant="outline-primary">
          <router-link class="card-link" :to="{ name: pageName + '-detail', params: { moduleName: moduleName, id: moduleContent.id } }"
            ><small><font-awesome-icon icon="angle-right" />En savoir plus</small></router-link
          >
        </b-button>
      </b-card-body>
    </div>
  </b-card>
</template>

<script>
export default {
  props: ["moduleContent", "pageName", "listProducts", "limit", "moduleName"],
  data() {
    return {
      index: null,
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  },
  methods: {
    goTo(link, item) {
      this.$router.push({ name: "news-detail", params: { id: item.id, listProducts: this.listProducts } });
      // this.$router.go();
    }
  }
};
</script>
